CURLINFO_LOCAL_PORT(3)

NAME
CURLINFO_LOCAL_PORT - get the latest local port number

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_LOCAL_PORT, long *portp);

DESCRIPTION
Pass a pointer to a long to receive the local port number of the most recent connection done with this curl handle.

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.21.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3), CURLINFO_PRIMARY_PORT(3), CURLINFO_LOCAL_IP(3),